Subject: RE: b19 configure problems AND mkid/lid problem
From: [email-masked] (Earnie Boyd)

7 Mar 1998 08:58:20 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Your correct, I know nothing about mkid or lid; however, I do have a 
suggestion.  Use the mmalloc library instead of any malloc or xmalloc 
and friends that may have come with the package or is in any other 
library.  This suggestion helped some other poor soul who'd been 
struggling for 2 or 3 months with allocation problems.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>From: "Ron Aaron" <[email-masked]>
>To: "Earnie Boyd" <[email-masked]>
>Subject: RE: b19 configure problems AND mkid/lid problem
>Date: Wed, 4 Mar 1998 19:32:46 -0800
>
>Earnie,
>
>Thanks for your help, perhaps I can trouble you for one more piece of
>advice?
>
>I can now compile mkid and lid just fine on B19.
>
>I run mkid on my sources (on my S: drive) with:
>	./mkid /s/pathtosource/
>
>which whirs awhile and produces the ID file, as expected. (and in half 
the
>time the DGJPP version took!)
>
>Now I try to run lid on it: (ID is about 2 Megs in size)
>	./lid -R grep whatever
>
>I get:
>(c:\id-utils-3.2\src\lid.exe 1097) Exception: STATUS_ACCESS_VIOLATION
>(c:\id-utils-3.2\src\lid.exe 1097) Dumping stack trace to lid.exe.core
>
>Which is disconcerting.  I tried to debug w/ gdb, and it seems it is 
having
>trouble with a memory allocation. I don't know why, since this same 3.2
>release works great on my linux box.
>
>	obstack_1grow_fast(...)
>in function deserialize_file_links()
>in idread.c
>
>I was wondering if you might have some insight into why this 
particularly is
>having problems - I understand you don't necessarily have expertise in
>mkid/lid, but since you did help me on the other problem ...
>
>TIA,
>Ron
>
>
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".